/**
 * 入库明细 api 封装
 *
 * @Author:    霍锦
 * @Date:      2025-03-26 15:16:28
 * @Copyright  友仓
 */
import {postRequest, getRequest} from '/@/lib/axios';

export const asnDetailApi = {

    /**
     * 分页查询  @author  霍锦
     */
    queryPage: (param: object) => {
        return postRequest('/asnDetail/queryPage', param);
    },

    /**
     * 增加  @author  霍锦
     */
    add: (param: object) => {
        return postRequest('/asnDetail/add', param);
    },

    /**
     * 修改  @author  霍锦
     */
    update: (param: object) => {
        return postRequest('/asnDetail/update', param);
    },


    /**
     * 删除  @author  霍锦
     */
    delete: (asnDetailId: number) => {
        return getRequest('/asnDetail/delete', {asnDetailId});
    },

    /**
     * 批量删除  @author  霍锦
     */
    batchDelete: (idList: number[]) => {
        return postRequest('/asnDetail/batchDelete', idList);
    },

};
